BLSSignerTest (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.hash2curve.test

## Class BLSSignerTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.crypto.hash2curve.test.BLSSignerTest

- All Implemented Interfaces:
    junit.framework.Test

      public class BLSSignerTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BLSSignerTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testCustomDstSelectsPopSuite()`
    `void` | `testDstAt255BytesAccepted()`
    `void` | `testGenerateBeforeInitFails()`
    `void` | `testInitRejectsWrongKeyType()`
    `void` | `testLongDstCurrentlyRejected()`
    `void` | `testResetClearsBufferBetweenSigns()`
    `void` | `testSignVerifyLongMessageRoundTrip()`
    `void` | `testSignVerifyRoundTrip()`
    `void` | `testStreamingUpdate()`
    `void` | `testVerifyRejectsMalformedSignature()`
    `void` | `testVerifyRejectsSignatureLength95()`
    `void` | `testVerifyRejectsSignatureLength97()`
    `void` | `testVerifyRejectsWrongKey()`
    `void` | `testVerifyRejectsWrongMessage()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BLSSignerTest

          public BLSSignerTest()

  - ### Method Detail

    - #### testSignVerifyRoundTrip

          public void testSignVerifyRoundTrip()
                                       throws CryptoException

      Throws:
        `CryptoException`

    - #### testStreamingUpdate

          public void testStreamingUpdate()
                                   throws CryptoException

      Throws:
        `CryptoException`

    - #### testVerifyRejectsWrongMessage

          public void testVerifyRejectsWrongMessage()
                                             throws CryptoException

      Throws:
        `CryptoException`

    - #### testVerifyRejectsWrongKey

          public void testVerifyRejectsWrongKey()
                                         throws CryptoException

      Throws:
        `CryptoException`

    - #### testVerifyRejectsMalformedSignature

          public void testVerifyRejectsMalformedSignature()

    - #### testCustomDstSelectsPopSuite

          public void testCustomDstSelectsPopSuite()
                                            throws CryptoException

      Throws:
        `CryptoException`

    - #### testResetClearsBufferBetweenSigns

          public void testResetClearsBufferBetweenSigns()
                                                 throws CryptoException

      Throws:
        `CryptoException`

    - #### testInitRejectsWrongKeyType

          public void testInitRejectsWrongKeyType()

    - #### testGenerateBeforeInitFails

          public void testGenerateBeforeInitFails()

    - #### testVerifyRejectsSignatureLength95

          public void testVerifyRejectsSignatureLength95()
                                                  throws CryptoException

      Throws:
        `CryptoException`

    - #### testVerifyRejectsSignatureLength97

          public void testVerifyRejectsSignatureLength97()
                                                  throws CryptoException

      Throws:
        `CryptoException`

    - #### testSignVerifyLongMessageRoundTrip

          public void testSignVerifyLongMessageRoundTrip()
                                                  throws CryptoException

      Throws:
        `CryptoException`

    - #### testLongDstCurrentlyRejected

          public void testLongDstCurrentlyRejected()
                                            throws CryptoException

      Throws:
        `CryptoException`

    - #### testDstAt255BytesAccepted

          public void testDstAt255BytesAccepted()
                                         throws CryptoException

      Throws:
        `CryptoException`